      subroutine clastp
      use module
      implicit real(8) (a-h,o-x,z),logical(1)(y)
      !
      ! Classes de la partie TP
      !
      if(w2)print*,'Classes de la partie TP'
      icl=0
      icltp=0
      do nt=0,2
         do np=0,2
            do nta=0,nt
               ntb=nt-nta
               do npa=0,np
                  npb=np-npa
                  icl=icl+1
                  icltp(nta,ntb,npa,npb)=icl
                  icltp1(:,icl)=(/nta,ntb,npa,npb/)
                  if(w2)print'(a,5i4)',
     *            'nta,ntb,npa,npb,icltp',nta,ntb,npa,npb,icl
               enddo
            enddo
         enddo
      enddo
      return
      end

